Assignee: % Done: 0%
Target version:

Resolution: Wont fix

Description

Something really interesting would be a list of all Users involved in a project. Furthermore each of these Users could provide a
"Homepage" which is linked on the user and all entries related to this user.

History

#1 - 2008-07-13 15:36 - Anonymous

| would like to suggest the following:

¢ Add a new property (Homepage of something similar) to the user
® add a link to e.g. tickets, if this property is set (the link should be on the name of the user)

IMHO this cannot be done via a plugin, since the link is something which should be in the standard of redmine, or am i wrong here?
It would be great, if there is then a region inside the wiki, where the users homepages are located (somewhat similar to the user list in TWiki).
What do you think?

#2 - 2008-07-14 21:15 - Stephanie Collett

+1 This would be an excellent place for users to find out more information about users, and for managers catch up with the activities of the user
without having to set up a filtered report.

#3 - 2008-07-15 22:18 - Arthaey Angosii

Are you asking for something more than linking the usernames to their account/show/:id page and adding some custom fields?

#4 - 2008-07-15 23:11 - Stephanie Collett

A simple show page would be good. For our use, a listing of their projects and their latest activity or issues would also be nice.

#5 - 2008-07-16 01:12 - Arthaey Angosii

Stephanie Collett wrote:

A simple show page would be good.

Users already have a simple show page. For example: http://www.redmine.org/account/show/1

For our use, a listing of their projects and their latest activity or issues would also be nice.

The account show page has a section called "Activity", but it could definitely be improved. :)

#6 - 2008-07-16 09:52 - Anonymous

This could be implemented in different ways. First of all there could be the additon of Link_to custom fields (#1358). Furthermore then all or some
custom fields should be shown on the page.

What | really would like to see is a field (not custom in this case) which links to a User Profile section of the wiki, where all Users can present
themselves. Furthermore, it would be of interest, like stated above, what projects the user is working on, what activities took place.

Furthermore a custom field for pictures could also be added, so that a picture of the developer is shown on this page. If the linkage to a wiki-page is
done, this is obviously not needed :-)
#7 - 2008-07-16 18:43 - Stephanie Collett

| missed that one could get to the user show page by a project roster. It would be nice to be able to get to the show page for a user by clicking on their
name in an issue.

The show page is a good start. We could use either a listing on the latest issues or activity for a user, or maybe just a link to a report of all of their
issues.

#8 - 2008-07-25 16:38 - Curtis Stewart

| believe that being able to create a "personal” wiki page and then being able to place it somewhere on "My page" would help my use of the system. |
find myself bookmarking some project pages or reports that | use all of the time to make it easy do some of my project manager work.

Since | often work at different locations, a place for me to store my other bookmarks would make it easier to move around.

| have other uses, but getting all of the users to play may be a bit of a stretch ;-)

#9 - 2009-10-14 12:50 - Anthony Gerrard

+1 for having a personal wiki page for a user

#10 - 2010-10-19 08:42 - Patrick Meidl

Arthaey Angosii wrote:

Users already have a simple show page. For example: http://www.redmine.org/account/show/1

what would be great is an easier way to link to this page, using the username and not user id as a key.

e.g. in the Wiki, you would be able to create links to the user profile with [[user:your_user_name]] or [[profile:your_user_namel]].
#11 - 2010-11-22 14:44 - Bruno Medeiros

There are some related tickets/plugins:

http://www.redmine.org/plugins/userprofile
http://www.redmine.org/issues/6690

#12 - 2024-06-23 09:19 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Wont fix

You can use custom fields for users to display the home page, organization, description, etc on users' profile page.
